<?php
session_start();

require_once 'dompdf/autoload.inc.php';
require_once 'MysqlConsulta.php';

use Dompdf\Dompdf;
use Dompdf\Options;

function exportarAvaria($tipoestoque,$fabricante,$loja){

require_once '../script_php/conexao.php';

$mysql = new MysqlConsulta;

$nomeEnviar = strtoupper($tipoestoque);

    //trocar o nome da loja pela razao social
    switch ($loja)
    {
        case 'LOJA 01':
            $lojaRelatorio = 'M. A. DA SILVA COSMETICOS - 08049813000188';
            break;
        case 'LOJA 02':
            $lojaRelatorio = 'CASA DO CABELEIREIRO E PERFUMARIA LTDA - 12967684000184';
            break;
        case 'LOJA 03':
            $lojaRelatorio = 'CASA DO CABELEIREIRO LTDA - 20861429000180';
            break;
        case 'LOJA 04':
            $lojaRelatorio = 'M. A. DA SILVA COSMETICOS FILIAL 02 - 08049813000269';
            break;
        case 'LOJA 05':
            $lojaRelatorio = 'CASA DO CABELEIREIRO E COSMETICOS LTDA - 42013233000179';
            break;
        case 'LOJA 06':
            $lojaRelatorio = 'M. A. DA SILVA COSMETICOS FILIAL 03 - 08049813000340';
            break;
    }

if ($fabricante == 'SELECIONE'){$fabricanteLoja = 'TODOS';}else{$fabricanteLoja = $fabricante;}

$dados = $mysql->listarAvarias($conexao,$fabricante,$loja,$tipoestoque);

// Inicialize o Dompdf
$options = new Options();

$options->set('defaultFont', 'Arial'); // Define uma fonte padrão se necessário
$dompdf = new Dompdf($options);

// Diretório onde estão as fontes
$fontDir = __DIR__ . '/fonts/';

// Registrar a fonte personalizada
$fontMetrics = $dompdf->getFontMetrics();
$fontMetrics->getFont('SuaFonte', 'normal', $fontDir . 'SuaFonte.ttf');
$fontMetrics->getFont('SuaFonte', 'bold', $fontDir . 'SuaFonte-Bold.ttf');

// Exemplo de conteúdo HTML
$html = "<html>
<body>
<h4>




<img src='data:image/jpeg;base64,[encoded data, 258848 characters]' width='50 px'/>

































<p>
PRODUTOS VENCIDOS EM ESTOQUE DE PENDÊNCIA DE FORNECEDOR</h4>
<hr>
<h5> EMPRESA: $lojaRelatorio <br>
FABRICANTE: $fabricanteLoja <br>
TIPO: $nomeEnviar
</h5>

<table>

<table  class='table tabelaindex2 float table-striped' style='text-align:; font-size:12px'>
		
<tr  class='pedidoscbc table-dark' style='background-color: coral'>

    <th>EAN</th>
    <th>MERCADORIA</th>
    <th>QUANTIDADE</th>
    <th>UNITARIO</th>
    <th>TOTAL</th>

</tr>
";

$usuario = $_SESSION['usuario'];

$arquivo = 'arquivos/usuario'.$usuario.'/imprimirtemp.txt';

$linhas = file($arquivo, FILE_IGNORE_NEW_LINES);

$somaTotal = 0;
$valorTotal2 = 0;

foreach ($dados as $avarias)
{
    //interacao com os dados do arquivo
    foreach ($linhas as $value) {
    
    if($value == $avarias['id']){
    $ean  = $avarias['ean'];
    $descricao = $avarias['descricao'];
    $quantidade = $avarias['estoque'];
    $valorunitario = $avarias['precomaisimposto'];
    $precototal = $valorunitario * $quantidade;

    $html .= "<tr>";

    $html .= "<td align='center'> $ean </td>";
    $html .= "<td> $descricao </td>";
    $html .= "<td align='center'> $quantidade </td>";
    $html .= "<td align='center'> $valorunitario </td>";
    $html .= "<td align='center'> $precototal </td>";

    $html .= "</tr>";

    $somaTotal += $quantidade;
    $valorTotal2 += $precototal;

        }
    }

}

$html .= "
<tr style='background-color: coral' >
<td> </td>
<td> TOTAL </td>
<td  align='center'>";

$html .= "$somaTotal";

$html .= "
</td>
<td  align='center'>  </td>
<td  align='center'> 
";

$html .= "$valorTotal2";

"</td>
</tr>
</table>
</body>
</html>";

$dompdf->loadHtml($html);
$dompdf->setPaper('A4', 'portrait');
$dompdf->render();

// Enviar o PDF para o navegador
$dompdf->stream("documento.pdf", array("Attachment" => false));

}